#ifndef __SHAPE_OP_2ARG__
#define __SHAPE_OP_2ARG__
#include "shape.h"

/* assumes existence of elemop_name */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  Shape oo, ii, jj;
  int nn;
  if ( nrhs == 0) 
    mexErrMsgTxt("Need at least one argument.");
  oo = shape_readmxarray(prhs[0]);
  for ( nn = 1 ; nn < nrhs ; nn ++ ) {
    ii = oo;
    jj = shape_readmxarray(prhs[nn]);
    if ( ! shape_consistent(ii,jj) ) 
      mexErrMsgTxt("Shapes inconsistent.");
    oo = elemop_name(ii,jj);
    shape_free(ii);
    shape_free(jj);
  }
  plhs[0] = mxDuplicateArray(prhs[0]);
  shape_rewritemxarray(plhs[0],oo); 
  shape_free(oo);
}

#endif
